ToAPIsToAPIs
Kling v3

Kling v3 視頻生成

使用官方 Kling v3 生成視頻,普通參考圖與首尾幀控制採用顯式區分語義

POST
/v1/videos/generations

中國大陸用戶請注意: 中國大陸用戶請使用 https://toapis.cn 作為接口地址(Base URL)。文檔示例中的 https://toapis.com 請替換為 https://toapis.cn。

  • 異步任務接口,提交後返回任務 ID
  • 支持文生視頻、圖生視頻、顯式首尾幀控制和有聲視頻
  • mode=std 對應 720P,mode=pro 對應 1080P
  • audio=true 會生成有聲視頻,並按 Sound 價格計費
  • duration 支持 3s、4s、5s、6s、7s、8s、9s、10s、11s、12s、13s、14s、15s

請傳入公網可訪問的圖片 URL。不要直接傳 base64 圖片數據;本地圖片請先使用 上傳圖片接口 獲取 URL。

認證

Authorizationstring請求頭必填

所有接口均需要使用 Bearer Token 認證。

Authorization: Bearer YOUR_API_KEY

請求參數

modelstring請求體必填

視頻生成模型名稱,固定爲 kling-v3。

promptstring請求體必填

視頻提示詞。建議描述主體、動作、場景、鏡頭語言和風格。

modestring請求體預設值: std

生成模式。

  • std - 標準模式,720P
  • pro - 專業模式,1080P
durationinteger請求體預設值: 5

視頻時長,單位秒。

可選值:3、4、5、6、7、8、9、10、11、12、13、14、15

aspect_ratiostring請求體預設值: 16:9

視頻寬高比。常用值:16:9、9:16、1:1

reference_imagesstring[]請求體

普通參考圖。

  • 這裏只表示參考圖語義
  • 不會再自動把第二張參考圖推斷爲尾幀
  • 首尾幀請使用 image_with_roles 顯式傳入
image_with_rolesobject[]請求體

顯式圖片角色數組,用於首尾幀控制或混合輸入。

顯示 image_with_roles 字段
urlstring請求體必填

公網可訪問的圖片 URL。

rolestring請求體必填

圖片角色。

支持值:

  • first_frame
  • last_frame
  • reference
  • reference_image

只有在 image_with_roles 中顯式聲明 last_frame 時,系統纔會發送尾幀控制字段;不會再從 reference_images[1] 自動猜測。

audioboolean請求體預設值: false

是否生成有聲視頻。

metadataobject請求體

擴展參數。

顯示 metadata 字段
negative_promptstring請求體

負面提示詞,描述不希望出現的內容。

watermarkboolean請求體

是否添加水印。

輸入規則

輸入形態行爲
只有 reference_images普通參考圖
只有 image_with_roles 且角色僅有 first_frame / last_frame首尾幀控制
兩者混用,或 roles 中同時含 frame/reference 語義混合模式

示例

文生視頻

{
  "model": "kling-v3",
  "prompt": "一隻金色的貓咪在陽光下的草地上奔跑,慢動作,電影質感",
  "mode": "std",
  "duration": 5,
  "aspect_ratio": "16:9"
}

普通參考圖

{
  "model": "kling-v3",
  "prompt": "參考人物形象,讓角色輕輕微笑",
  "reference_images": ["https://example.com/reference.jpg"],
  "mode": "std",
  "duration": 5
}

首尾幀控制

{
  "model": "kling-v3",
  "prompt": "城市從白天自然過渡到夜晚",
  "image_with_roles": [
    { "url": "https://example.com/day.jpg", "role": "first_frame" },
    { "url": "https://example.com/night.jpg", "role": "last_frame" }
  ],
  "mode": "pro",
  "duration": 5
}

參考圖與首尾幀混合

{
  "model": "kling-v3",
  "prompt": "保持角色一致性,同時完成場景過渡",
  "reference_images": ["https://example.com/character-reference.jpg"],
  "image_with_roles": [
    { "url": "https://example.com/start-scene.jpg", "role": "first_frame" },
    { "url": "https://example.com/end-scene.jpg", "role": "last_frame" }
  ],
  "mode": "pro",
  "duration": 5
}

有聲視頻

{
  "model": "kling-v3",
  "prompt": "舞臺上的歌手正在演唱,觀衆歡呼,燈光閃爍",
  "mode": "std",
  "duration": 5,
  "audio": true
}

視頻生成爲異步任務。提交後使用 獲取視頻任務狀態 查詢進度和結果。